#面试情况
api:/api/v1/itr/condition
请求方式：post
参数：选择全部时传空字符串
    job_name: str   # 应聘职位
    hr_name: str  # 面试负责人
    interview_name: str  # 面试官
    interview_type: str  # 面试类型
    interview_sign: int  # 面试签到
    feedback: int  # 面试反馈
    interview_round: int  # 面试轮次
    pages: int = 1  # 分页的当前页
    time_type: str  # 要查询的时间范围类型

#获取职位名称
api:/api/v1/itr/get_job
请求方式:post
参数:可不传

#新增职位
api:/api/v1/itr/add_job
请求方式：post
参数:
    job_id: str = int(time.time())  # 职位的唯一id
    job_name: str  # 职位名称
    job_sector: str  # 职位部门
    job_nature: str  # 职位性质
    job_priority: str  # 职位优先级
    owner_name: str  # 渠道
    principal: str  # 负责人
    patronn: str  # 协助人
    start_time: datetime = datetime.now()  # 开始招聘时间
    function_type: str  # 职能类型
    filtering_rules: bool  # 是否使用筛选规则
    hiring_needs: bool  # 是否关联招聘需求
    auto_repeater: bool  # 是否自动转发
    cacsi_count: int = 0  # 面试满意度反馈次数
    state: bool = True  # 职位招聘状态
    job_num: int  # 招聘人数
    education: str  # 学历要求
    job_rank: str  # 职位级别
    work_exp: str  # 工作经验
    report_obj: str  # 汇报对象
    min_money: int  # 薪资范围min
    max_money: int  # 薪资范围max
    requirement: str  # 需求描述

#导出面试安排
api:/api/v1/itr/download_interview
请求方式：post
参数:
    start_time: str  # 开始时间
    end_time: str  # 结束时间

#获取标准版简历
api:/api/v1/itr/find_criterion
请求方式：post
参数:
    uid: str  # 面试者简历在CK中的唯一标识

#保存附件id
api:/api/v1/itr/resume_affix
请求方式：post
参数:
    uid: str  # 面试者简历在CK中的唯一标识
    resume_affix_id: List[str]  # 附件id

#修改入职状态
api:/api/v1/itr/updata_entry
请求方式：post
参数：
    uid: str  # 面试者简历在CK中的唯一标识
    interview_stage: int  # 修改入职状态  6代表放弃入职，7代表已入职

#获取要发送的邮件文本
api:/api/v1/itr/get_str_mail
请求方式：post
参数：
    name: str  # 求职者名字
    job: str  # 应聘的职位
    times: str  # 入职时间
    money: str  # 薪资
    hr_name: str  # hr联系人
    phone: str  # hr联系电话
    email: str  # hr邮箱

#发送邮件
api:/api/v1/itr/send_str_mail
请求方式：post
参数：
    user_id: str  # 接收者的唯一id
    name: str  # 接收者的名字
    email: str  # 接收者的邮箱
    email_str: str  # 需要发送的文本内容

#获取发送邮件的记录
api:/api/v1/itr/email_record
请求方式：post
参数：
    user_id: str  # 求职者的唯一id

#同步插入操作记录
api:/api/v1/itr/operate_log
请求方式：post
参数：
    user_id: str  # 求职者的唯一id
    who: str  # 谁操作的
    why: str  # 为什么操作
    content: str  # 操作的内容

#获取操作记录
api:/api/v1/itr/get_operate_log
请求方式：post
参数：
    user_id: str  # 求职者的唯一id


#获取钉钉的用户id
api:/api/v1/itr/get_dding_user
请求方式：get


#催促面试官反馈功能
api:/api/v1/itr/teacher_state
请求方式：post
参数：
    user_id: List[str]  # 钉钉接收者的唯一id
    name: str  # 求职者姓名

#获取所有用户角色
api:/api/v1/itr/name
请求方式：get

#修改职位信息，修改职位招聘状态
api:/api/v1/itr/amend_job
请求方式：post
参数：
    job_id: str = None  # 职位的唯一id
    job_name: str = None  # 职位名称
    job_sector: str = None  # 职位部门
    job_nature: str = None  # 职位性质
    job_priority: str = None  # 职位优先级
    owner_name: str = None  # 渠道
    principal: str = None  # 负责人
    patronn: str = None  # 协助人
    start_time: datetime = None  # 开始招聘时间
    end_time: datetime = None  # 结束招聘时间
    function_type: str = None  # 职能类型
    filtering_rules: bool = None  # 是否使用筛选规则
    hiring_needs: bool = None  # 是否关联招聘需求
    auto_repeater: bool = None  # 是否自动转发
    cacsi_count: int = None  # 面试满意度反馈次数
    state: bool = None  # 职位招聘状态
    job_num: int = None  # 招聘人数
    education: str = None  # 学历要求
    job_rank: str = None  # 职位级别
    work_exp: str = None  # 工作经验
    report_obj: str = None  # 汇报对象
    min_money: int = None  # 薪资范围min
    max_money: int = None  # 薪资范围max
    requirement: str = None  # 需求描述

#创建看板
api:/api/v1/itr/create
请求方式：post
参数：
    name: str  # 看板名


#删除看板
api:/api/v1/itr/delete
请求方式：post
参数：
        ids: List[str]


#获取一个看板
api:/api/v1/itr/get_dashboard
请求方式：post
参数：
        id: str

#编辑看板名
api:/api/v1/itr/edit
请求方式：post
参数：
    dashboard_id: str
    new_name: str
    
#简历确认进入面试阶段
api:/api/v1/itr/notarize
请求方式：post
参数：
    uid: str  # 面试者简历在CK中的唯一标识
    hr_name: str
    hr_id: str
    hr_phone: str
    hr_email:str
    interview_name: str
    interview_id: str
    
#更改简历阶段
api:/api/v1/itr/alter
请求方式：post
参数：
    stage: int  # 面试阶段
    uid: str  # 面试者简历在CK中的唯一标识
    data: Dict  # 更新的数据

#获得已添加的报表
api:/api/v1/itr/get_report
请求方式：post
参数：
    report_id: str

#新建报表
api:/api/v1/itr/create_report
请求方式：post
参数：
    name: str  # 显示名
    user_id: str  # 用户id
    desc: str  # 备注
    query: dict  # 请求参数

#编辑报表
api:/api/v1/itr/up_report
请求方式：post
参数：
    report_id: str
    query: dict
    name: str
    desc: str

#看板样式设置
api:/api/v1/itr/edit_report
请求方式：post
参数：
    report: Report

#保存头像链接
api:/api/v1/itr/head
请求方式：post
参数：
    uid: str  # 面试者简历在CK中的唯一标识
    head_id: str  # 头像链接

#重要事项-面试相关
api:/api/v1/itr/hint
请求方式：get

#批量修改已读状态
api:/api/v1/itr/up_hint
请求方式：post
参数：
    hint_id: List[str]  # 要修改已读的数据id

#登录
api:/api/v1/itr/login
请求方式：post
参数：
    unionid: str  # 通过钉钉扫码获取的unionid

#修改其他人密码
api:/api/v1/itr/reset_password
请求方式：post
参数：
    user_id: str = ...
    password: str = ...

#修改自己的密码
api:/api/v1/itr/reset_my_password
请求方式：post
参数：
    password: str = ...

#创建新账号
api:/api/v1/itr/add_account
请求方式：post
参数：
    unionid: str  # 通过钉钉扫码获取的unionid
    rank: int  # 判断是hr还是面试官
    email: str  # 邮箱
    tel: str  # 手机号
    name: str  # 名字

#禁止/解禁用户登录功能
api:/api/v1/itr/forbid_login
请求方式：post
参数：
    user_id: str  # 钉钉的唯一标识
    type: int  # 0为解禁1为禁止

#获取基本信息列表
api:/api/v1/itr/owner_list
请求方式：post
参数：
    name: str  # 基本资料的名称

#新增，删除基本信息
api:/api/v1/itr/owner_edit
请求方式：post
参数：
    date: List[str]  # 各种基本资料
    name: str  # 基本资料的名称  现有渠道owner_name，工作经验job_exp，
    职能类别function_type，职位级别job_rank，学历要求education，部门sector

#获取对应部门及职位
api:/api/v1/itr/get_section
请求方式：get


#获取对应部门及职位
api:/api/v1/itr/ins_section
请求方式：post
参数：
    name: str  # 部门名
    position: List[position]  # 职位名及职位id
    position
    job_id: str= str(int(time.time()))  # 职位的唯一id  # 职位id
    job_name: str  # 职位名

#所有的api
api:/api/v1/itr/api_list
请求方式：get 

#获取单个职位信息
api:/api/v1/itr/find_job
请求方式：post
参数：
    job_id: str  # 职位的唯一id