from typing import Dict, List, Union, Any
from pydantic import BaseModel
import time, random


def get_id():
    return hex(int(time.time() * 10 ** 7) + random.randint(0, 10000))[2:]


#
class OwnerModel(BaseModel):
    pass


# 渠道查询格式
class OwnerQuery(BaseModel):
    data_in: Any
    owner_query: dict = dict()  # 查询删选条件
    find_filed: List[str] = None  # 显示列名


# 渠道添加格式
class InOwnerQuery(BaseModel):
    data_in: dict = dict()
    owner_id: str = get_id()  # 渠道id
